#!/bin/bash
####### RUN THIS SCRIPT AS ROOT!! #######
#
# gtk3_oxygen.bash
# Copyright (C) Davide Depau 2011-2012 <david.dep.1996@gmail.com>
# 
# Bash!Karaoke GTK is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Bash!Karaoke GTK is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program.    If not, see <http://www.gnu.org/licenses/>.

source easybashgui
echo -e "\n------- Installing gtk3-engines-oxygen -------" >> "/home/"$SUDO_USER"/.bashkaraoke/.bashkaraoke-gtk.log"
wait_for "Adding repository..."
add-apt-repository --yes ppa:gnumdk/ppa &>> "/home/"$SUDO_USER"/.bashkaraoke/.bashkaraoke-gtk.log"
terminate_wait_for
wait_for "Updating cache..."
(apt-get update 2> /tmp/keymissing; for key in $(grep "NO_PUBKEY" /tmp/keymissing |sed "s/.*NO_PUBKEY //"); do echo -e "\nElaborazione chiave: $key"; gpg --keyserver subkeys.pgp.net --recv $key && gpg --export --armor $key | apt-key add -; done) &>> "/home/"$SUDO_USER"/.bashkaraoke/.bashkaraoke-gtk.log"
terminate_wait_for
wait_for "Installing packages..."
apt-get --force-yes install gtk3-engines-oxygen &>> "/home/"$SUDO_USER"/.bashkaraoke/.bashkaraoke-gtk.log"
terminate_wait_for
question "Do you want to restart Bash!Karaoke?\nAfter restart, it will look better... :)"
answer="${?}"
if [ ${answer} -eq 0 ]
then
exit 0
elif [ ${answer} -eq 1 ]
then
exit 1
else
exit 0
fi
