#!/bin/bash
#
# oxynodebian.bash
# Copyright (C) Davide Depau 2011-2012 <david.dep.1996@gmail.com>
# 
# Bash!Karaoke GTK is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Bash!Karaoke GTK is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program.    If not, see <http://www.gnu.org/licenses/>.

source easybashgui
alert_message "You seem to be using KDE; Bash!Karaoke GTK\nneeds a package to work well with KDE.\n\nInstall «gtk3-engines-oxygen» and restart Bash!Karaoke."
menu "Remember later" "More information" "Don't show the message again"
choice="$(0< "${dir_tmp}/${file_tmp}" )"

case $choice in
"Remember later")
	exit 0
;;
"More information")
echo -e "It seems that you are using KDE on a APT-less distro.\nYou need an optional packageto run Bash!Karaoke.\nIn Ubuntu it is in a PPA and its name is «gtk3-engines-oxygen».\n\nThe following are the files provided by the package above:\n\n/.\n/usr\n/usr/bin\n/usr/bin/oxygen-gtk3-demo\n/usr/lib\n/usr/lib/gtk-3.0\n/usr/lib/gtk-3.0/3.0.0\n/usr/lib/gtk-3.0/3.0.0/theming-engines\n/usr/lib/gtk-3.0/3.0.0/theming-engines/liboxygen-gtk.so\n/usr/share\n/usr/share/doc\n/usr/share/doc/gtk3-engines-oxygen\n/usr/share/doc/gtk3-engines-oxygen/README.gz\n/usr/share/doc/gtk3-engines-oxygen/TODO\n/usr/share/doc/gtk3-engines-oxygen/changelog.Debian.gz\n/usr/share/doc/gtk3-engines-oxygen/copyright\n/usr/share/themes\n/usr/share/themes/oxygen-gtk\n/usr/share/themes/oxygen-gtk/gtk-3.0\n/usr/share/themes/oxygen-gtk/gtk-3.0/argb-apps.conf\n/usr/share/themes/oxygen-gtk/gtk-3.0/gtk.css\n/usr/share/themes/oxygen-gtk/gtk-3.0/icons4\n/usr/share/themes/oxygen-gtk/gtk-3.0/kdeglobals\n/usr/share/themes/oxygen-gtk/gtk-3.0/oxygenrc\n/usr/share/themes/oxygen-gtk/gtk-3.0/special-icons\n/usr/share/themes/oxygen-gtk/gtk-3.0/special-icons/standardbutton-closetab-16.png\n/usr/share/themes/oxygen-gtk/gtk-3.0/special-icons/standardbutton-closetab-down-16.png\n/usr/share/themes/oxygen-gtk/gtk-3.0/special-icons/standardbutton-closetab-hover-16.png" | text
	exit 0
;;
"Don't show the message again")
	message "The message will not be shown again.\nSome info about the needed files is stored in\n"$HOME"/.bashkaraoke/.dontshow/\n\nRemember that if you are using KDE with\nOxygen theme and the package is not installed,\nBash!Karaoke GTK may misbehave.\n\nWe hope you like Bash!Karaoke!"
	exit 1
;;
esac

